summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_node_health_check.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2017-06-28 11:52:57 +0200
committerHolger Levsen <holger@layer-acht.org>2017-06-28 11:52:57 +0200
commit795ab8b893c1458f308614c1f8f0c65af96d4280 (patch)
tree0741af91fca73b37b3b1e39ffdbf1e063e56e692 /bin/reproducible_node_health_check.sh
parent9ab03575da914af4063f1467eb32a5cd7064a6e4 (diff)
downloadjenkins.debian.net-795ab8b893c1458f308614c1f8f0c65af96d4280.tar.xz
reproducible Debian: fixup zombie test
Signed-off-by: Holger Levsen <holger@layer-acht.org>
Diffstat (limited to 'bin/reproducible_node_health_check.sh')
-rwxr-xr-xbin/reproducible_node_health_check.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_node_health_check.sh b/bin/reproducible_node_health_check.sh
index fbf0f55b..bad7a4b1 100755
--- a/bin/reproducible_node_health_check.sh
+++ b/bin/reproducible_node_health_check.sh
@@ -145,7 +145,7 @@ if [ "$HOSTNAME" = "$MAINNODE" ] ; then
# and we dont know why and when that happens,
# so just report those zombies here.
#
- ZOMBIES=$(ls -1d /var/lib/jenkins/jobs/ | egrep '(reproducible_builder_amd64|reproducible_builder_i386|reproducible_builder_armhf|reproducible_builder_arm64|chroot-installation_wheezy)')
+ ZOMBIES=$(ls -1d /var/lib/jenkins/jobs/* | egrep '(reproducible_builder_amd64|reproducible_builder_i386|reproducible_builder_armhf|reproducible_builder_arm64|chroot-installation_wheezy)' || true)
if [ ! -z "$ZOMBIES" ] ; then
echo "Warning, rise of the jenkins job zombies has started again, these jobs should not exist:"
echo -e "$ZOMBIES"